Information Exposure

Affecting org.primefaces:primefaces artifact, versions [0,]

Overview

org.primefaces:primefaces is a None

Affected versions of this package are vulnerable to Information Exposure because {{h:inputText maxlength}} is validated on client side only. However, client side validation may be bypassed easily.

Remediation

A fix was pushed into the master branch but not yet published.

References

Do your applications use this vulnerable package?

CVSS Score

5.9
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Credit
cnsgithub
CWE
CWE-200
Snyk ID
SNYK-JAVA-ORGPRIMEFACES-73632
Disclosed
14 Jan, 2019
Published
14 Jan, 2019